package org.zeroturnaround.javarebel.integration.servlet.weblogic;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtNewMethod;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

/**
 * Transforms <code>weblogic.servlet.jsp.TagFileClassLoader</code>.
 * 
 * @author Rein Raudjärv
 */
public class TagFileClassLoaderCBP extends JavassistClassBytecodeProcessor {

  public void process(ClassPool cp, ClassLoader cl, CtClass ctClass) throws Exception {
    // Overrides the method added by JavaRebel
    ctClass.addMethod(CtNewMethod.make(
        "protected boolean __isAlwaysUpToDate() { return false; }", ctClass));
  }
}
